package com.logicbig.example;


import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.io.PrintWriter;

@WebServlet(name = "appController", urlPatterns = {"/*"},
                    loadOnStartup = 1)
public class AppController extends HttpServlet {
    @Override
    protected void doGet (HttpServletRequest req,
                          HttpServletResponse resp) throws ServletException, IOException {
        System.out.println("Request: " + req.getRequestURL());

        resp.setContentType("text/html");
        PrintWriter writer = resp.getWriter();

        if (req.getRequestURL()
               .toString()
               .contains("secondPage")) {
            writer.write("You are on the second page<br/>");
            writer.write("myAttribute = " + req.getSession(false)
                                               .getAttribute("myAttribute"));

        } else {
            HttpSession session = req.getSession(true);
            System.out.println("session id : " + session.getId());
            session.setAttribute("myAttribute", "attrVal");
            writer.write("<a href='" + req.getContextPath() + "/secondPage;jsessionid=" + session.getId() + "'>Visit the Second page</a>");
        }

        writer.close();

    }
}